Class
PhusionPassenger::AppInitError

In: | lib/phusion_passenger/exceptions.rb
Parent: | InitializationError

Raised when Rack::ApplicationSpawner, Railz::ApplicationSpawner, Railz::FrameworkSpawner or SpawnManager was unable to spawn an application, because the application either threw an exception or called exit.

If the application called exit, then `child_exception` is an instance of `SystemExit`.

Methods

- new

Attributes

[RW] | app_type | The application type, e.g. "rails" or "rack".
[RW] | stderr | Any messages printed to stderr before the failure. May be nil.

Public Class methods
new(message, child_exception = nil, app_type = "rails", stderr = nil)

[ show source ]

        # File lib/phusion_passenger/exceptions.rb, line 66
    66:         def initialize(message, child_exception = nil, app_type = "rails", stderr = nil)
    67:                 super(message, child_exception)
    68:                 @app_type = app_type
    69:                 @stderr = stderr
    70:         end